!--------( MKTEST : generate source data for test opoeration )--------
  real :: f(41,41), e(6)
  character(80) :: wdr, flog, fnam1, fnam2
  character(20) :: sdtm

  call premsg('MKTEST')
  call opnpin()
  ldr = lwkdir(50,wdr) + 1
  flog = wdr;  fnam1 = wdr;  fnam2 = wdr
  call gparma('Enter LOG filename ==> ', 81-ldr, flog(ldr:80))
  call gparma('Enter Mag.Anomaly data outfile  ==> ', 81-ldr, fnam1(ldr:80))
  open(1,file=fnam1,status='new')
  call gparma('Enter Src.Surface data outfile  ==> ', 81-ldr, fnam2(ldr:80))
  open(2,file=fnam2,status='new')
  write(6,'(a)') '----------------------------------------'
  write(6,'(a)') 'MKTEST'
  write(6,'(a,a)') ' Mag. Anom. outfile  : ', fnam1(1:lrtrim(fnam1))
  write(6,'(a,a)') ' Src.Surface outfile : ', fnam2(1:lrtrim(fnam2))

  call cvinit(53)
  call magafd(45., -7., 45., -7.)
  call mpoint(1., 0., 0., 0.5, 1.)
  do j=1,41
    y = float(j-21)/10.
    do i=1,41
      x = float(i-21)/10.
      f(i,j) = calma(x, y, -0.1)
  enddo;  enddo
  write(1,'(a8,i4,4x,4i8)') 'testmag ', 253, 0,8100,0,0
  write(1,'(2i12,4i6,f8.1,f8.0)') 3873000,563000, 100,100,41,41, 9999.9, 100.
  do j=1,41
    write(1,'((f7.1,9(1x,f7.1)))') (f(i,j),i=1,41)
  enddo
  close(1)
  write(2,'(a8,i4,4x,4i8)') 'testterr', 253, 0,8100,0,0
  write(2,'(2i12,4i6,f8.1,f8.0)') 3870000,560000, 5000,5000,3,3, 9999.9, -1.
  do j=1,3
    write(2,'(f7.1,1x,f7.1,1x,f7.1)') 0., 0., 0.
  enddo
  close(2)

  if(flog(ldr:ldr).ne.' ') then
    open(99,file=flog,access='append')
    write(99,'(//a)') 'MKTEST'
    write(99,'(a,a)') ' Mag. Anom. outfile  : ', fnam1(1:lrtrim(fnam1))
    write(99,'(a,a)') ' Src.Surface outfile : ', fnam2(1:lrtrim(fnam2))
    call strdtm(sdtm)
    write(99,'(a,a,a)') '=============== ', sdtm, '==============='
    close(99)
  endif
  stop
  end
